package com.example.examplemod;

import net.minecraft.client.renderer.entity.RenderSnowball;
import net.minecraft.init.Blocks;
import net.minecraft.init.Items;
import net.minecraft.item.Item;
import net.minecraft.item.ItemStack;
import cpw.mods.fml.client.registry.RenderingRegistry;
import cpw.mods.fml.common.Mod;
import cpw.mods.fml.common.Mod.EventHandler;
import cpw.mods.fml.common.event.FMLInitializationEvent;
import cpw.mods.fml.common.registry.EntityRegistry;
import cpw.mods.fml.common.registry.GameRegistry;

@Mod(modid = MiscCraft.MODID, version = MiscCraft.VERSION)
public class MiscCraft
{
    public static final String MODID = "examplemod";
    public static final String VERSION = "1.0";
    public Item blasterBolt;
    
    
    
    @EventHandler
    public void init(FMLInitializationEvent event)
    {
    	int entityNumber=1;

// BAZOOKA
    	
    	ItemBlasterRifle blasterRifle = new ItemBlasterRifle();
        blasterRifle.setTextureName("genericmod:bazooka");
        GameRegistry.registerItem(blasterRifle, "Blaster Rifle");

        blasterBolt = new ItemBlasterBolt();
        blasterBolt.setTextureName("genericmod:bazookablast");
        GameRegistry.registerItem(blasterBolt, "Blaster Bolt");

        blasterRifle.registerAmmo(blasterBolt);


        EntityRegistry.registerModEntity(EntityBlasterBolt.class, "BazookaBlast", entityNumber++, this, 64, 10, true);
        RenderingRegistry.registerEntityRenderingHandler(EntityBlasterBolt.class, new RenderSnowball(blasterBolt));
        
// MACHINEGUN
        ItemMachineGun MachineGun = new ItemMachineGun();
        MachineGun.setTextureName("genericmod:mashinegun");
        GameRegistry.registerItem(MachineGun,"MachineGun");
        
        Item mediumBlast = new ItemMediumBlast();
        mediumBlast.setTextureName("genericmod:medelblast");
        GameRegistry.registerItem(mediumBlast, "Medium Blast");

        MachineGun.registerAmmo(mediumBlast);
        
        EntityRegistry.registerModEntity(EntityMediumBlast.class, "MediumBlast", entityNumber++, this, 64, 10, true);
        RenderingRegistry.registerEntityRenderingHandler(EntityMediumBlast.class, new RenderSnowball(mediumBlast));
 //SNIPERRIFLE      
        sniperRifle SniperRifle = new sniperRifle();
        SniperRifle.setTextureName("genericmod:sniperRifel");
        GameRegistry.registerItem(SniperRifle,"SniperRifle");
        
        Item sniperBullet = new sniperBullet();
        sniperBullet.setTextureName("genericmod:sniperbullet");
        GameRegistry.registerItem(sniperBullet,"SniperBullet");
        
        SniperRifle.registerAmmo(sniperBullet);
        
    //    EntityRegistry.registerModEntity(sniperBullet.class, "SniperBullet", entityNumber++, this, 64, 10, true);
    //    RenderingRegistry.registerEntityRenderingHandler(sniperBullet.class, new RenderSnowball(sniperBullet));
// RECEPT        
        
    	ItemStack dirtStack = new ItemStack(Blocks.dirt);
    	ItemStack gravelStack = new ItemStack(Blocks.gravel);

    	GameRegistry.addRecipe(new ItemStack(Blocks.sponge), "xy", "yx", 
    	        'x', dirtStack, 'y', gravelStack);
    



        ItemStack eggstack = new ItemStack(Items.egg);
        ItemStack RottenFlesh = new ItemStack(Items.rotten_flesh);
        GameRegistry.addRecipe(new ItemStack(Items.spawn_egg),"yy","yx",
        	 'x', eggstack,  'y' , RottenFlesh);
      
        
        
        
        
       ItemStack coalblockstack = new ItemStack(Blocks.coal_block);
       GameRegistry.addRecipe(new ItemStack(Items.diamond),"xxx","xxx","xxx",
       'x', coalblockstack);
       
       
       
       
       
       ItemStack slimeballstack = new ItemStack(Items.slime_ball);
       ItemStack diamondstack = new ItemStack(Items.diamond);
       GameRegistry.addRecipe(new ItemStack(Items.emerald)," x ","xyx"," x ",
    'x', slimeballstack, 'y',diamondstack);
    
    
    
    
    
       ItemStack nederbrickstack = new ItemStack(Blocks.nether_brick);    
       ItemStack diamondblock = new ItemStack(Blocks.diamond_block);
       GameRegistry.addRecipe(new ItemStack(Blocks.end_stone),"xxx","xyx","xxx",
     'x', nederbrickstack, 'y',diamondblock);
    
    
    
    
    
        ItemStack endstones = new ItemStack(Blocks.end_stone);
        ItemStack enderye = new ItemStack(Items.ender_eye);
        ItemStack enchant = new ItemStack(Blocks.enchanting_table);
        ItemStack di = new ItemStack(Blocks.diamond_block);
        GameRegistry.addRecipe(new ItemStack(Blocks.end_portal),"xxx","xyx","zwz",
      'x',endstones, 'y',di, 'z',enderye, 'w',enchant); 		
       
        
        
        
        ItemStack endportal = new ItemStack(Blocks.end_portal);
        ItemStack spawn = new ItemStack(Items.spawn_egg);
        ItemStack enderaye = new ItemStack(Items.ender_eye);
       GameRegistry.addRecipe(new ItemStack(Blocks.dragon_egg),"xzx","zwz","xzx",
       'x',enderaye, 'z',endportal, 'w',spawn);
       
       
       
       
       ItemStack ops = new ItemStack(Blocks.obsidian);
       GameRegistry.addRecipe(new ItemStack(Blocks.bedrock),"xxx","xxx","xxx",
       'x',ops);
       
       
       ItemStack ix = new ItemStack(Items.leather);
       ItemStack xi = new ItemStack(Items.iron_ingot);
       GameRegistry.addRecipe(new ItemStack(Items.saddle),"xxx","xzx",
    	'x',ix, 'z',xi);
       
       
       ItemStack q = new ItemStack(Items.blaze_powder);
       ItemStack w = new ItemStack(Items.stick);
       GameRegistry.addRecipe(new ItemStack(Items.blaze_rod),"xxx","xzx","xxx",
    	'x',w, 'z',q);
       
       
       ItemStack e = new ItemStack(Items.mushroom_stew);
       ItemStack r = new ItemStack(Blocks.dirt);
       GameRegistry.addRecipe(new ItemStack(Blocks.mycelium),"x","z",
      'x',e, 'z',r);
       
       ItemStack t = new ItemStack(Blocks.mycelium);
       GameRegistry.addRecipe(new ItemStack(Items.potato),"x",
      'x',t);
       
       
       ItemStack y = new ItemStack(Items.potato);
       GameRegistry.addRecipe(new ItemStack(Items.carrot),"xxx",
      'x',y);
       
       
       ItemStack u = new ItemStack(Items.blaze_powder);
       ItemStack i = new ItemStack(Blocks.redstone_block);
       ItemStack o = new ItemStack(Blocks.iron_block);
       ItemStack p = new ItemStack(Items.emerald);
       ItemStack a = new ItemStack(Blocks.tnt);
       ItemStack s = new ItemStack(Items.nether_star);
       GameRegistry.addRecipe(new ItemStack(blasterRifle),"xzw","yvp","xww",
      'x',u, 'z',i, 'w',o, 'y',p, 'v',a, 'p',s);
       
       
       ItemStack d = new ItemStack(Items.pumpkin_seeds);
       GameRegistry.addRecipe(new ItemStack(Items.pumpkin_pie),"www","www",
       'w',d);
       
       
       
       
       
       
       ItemStack f = new ItemStack(Items.iron_ingot);
       ItemStack g = new ItemStack(Items.stick);
       ItemStack h = new ItemStack(Items.redstone);
       GameRegistry.addRecipe(new ItemStack(blasterBolt,64),"wxz",
       'w',f, 'x',g, 'z',h);
       
       
       
       ItemStack j = new ItemStack(Blocks.stone);
       GameRegistry.addRecipe(new ItemStack(sniperBullet,64),"x",
       'x',j);
       
       
       ItemStack k = new ItemStack(Items.paper);
       GameRegistry.addRecipe(new ItemStack(mediumBlast,57),"x",
    	'x',k);
       
//       ItemStack l = new ItemStack(Blocks.bedrock);
//       ItemStack  = new ItemStack(Blocks.iron_block);
//       ItemStack  = new ItemStack(Blocks.gold_block);
//       ItemStack  = new ItemStack(Blocks.lapis_block);
//       ItemStack z = new ItemStack(Blocks.redstone_block);
//       ItemStack x = new ItemStack(Blocks.diamond_block);
//       ItemStack c = new ItemStack(Blocks.emerald_block);
//       ItemStack v = new ItemStack(Blocks.tnt);
//       ItemStack b = new ItemStack(Blocks.redstone_torch);
//       GameRegistry.addRecipe(new ItemStack(SniperRifle),"xwz","yvc","mkl");
//       
       
       
       
       
       
       
       
       
       
       
       
       
       
       
       
       
       
       
       
       
       
       
       
       
       
       
       
       
       
       
       
       
       
       
       
       
       
       
       
       
       
       
       
       
       
       
       
       
       
       
       
       
       
       
       
       
       //smelting
       
       ItemStack woolStackBlack = new ItemStack(Blocks.wool);
       ItemStack woolStackWhite = new ItemStack(Blocks.wool);
       woolStackBlack.setItemDamage(15);
       woolStackWhite.setItemDamage(0);
       GameRegistry.addSmelting(woolStackBlack, woolStackWhite, 0.1f);
       
       GameRegistry.addSmelting(Blocks.stone, new ItemStack(Blocks.stonebrick), 0.1f);
       
       
       
       ItemStack goldnugg = new ItemStack(Items.gold_nugget);
       ItemStack pumpsed = new ItemStack(Items.pumpkin_seeds);
       goldnugg.setItemDamage(0);
       pumpsed.setItemDamage(0);
       GameRegistry.addSmelting(goldnugg, pumpsed,0.1f);
       
       
       
       
       ItemStack be = new ItemStack(Items.cooked_beef);
       ItemStack c2 = new ItemStack(Items.coal);
       be.setItemDamage(0);
       c2.setItemDamage(0);
       GameRegistry.addSmelting(be, c2, 0.1f);
       
       
       
       
       ItemStack hi = new ItemStack(Items.spawn_egg);
       ItemStack ih = new ItemStack(Items.spawn_egg);
       hi.setItemDamage(0);
       ih.setItemDamage(100);       
       GameRegistry.addSmelting(hi, ih, 0.1f);
       
       
       
       
       
 
       
    
    }
}